This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 256921 - AssertionError at com.sun.tools.javac.util.Assert.error
Summary: AssertionError at com.sun.tools.javac.util.Assert.error
Status: RESOLVED FIXED
Alias: None
Product: java
Classification: Unclassified
Component: Compiler (show other bugs)
Version: 8.2
Hardware: All All
: P3 normal (vote)
Assignee: Dusan Balek
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-12-02 11:08 UTC by abien
Modified: 2015-12-10 02:20 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Exception Reporter: 221462


Attachments
stacktrace (2.35 KB, text/plain)
2015-12-02 11:08 UTC, abien
Details
stacktrace (2.33 KB, text/plain)
2015-12-07 10:25 UTC, abien
Details
stacktrace (2.31 KB, text/plain)
2015-12-08 10:22 UTC, Exceptions Reporter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description abien 2015-12-02 11:08:52 UTC
Build: NetBeans IDE Dev (Build 201512011444)
VM: Java HotSpot(TM) 64-Bit Server VM, 25.66-b17, Java(TM) SE Runtime Environment, 1.8.0_66-b17
OS: Mac OS X

User Comments:
abien: happened during juni




Stacktrace: 
java.lang.AssertionError
   at com.sun.tools.javac.util.Assert.error(Assert.java:155)
   at com.sun.tools.javac.util.Assert.checkNonNull(Assert.java:62)
   at com.sun.tools.javac.comp.Annotate.fromAnnotations(Annotate.java:149)
   at com.sun.tools.javac.comp.Annotate$6.run(Annotate.java:1020)
   at com.sun.tools.javac.comp.Annotate.flush(Annotate.java:176)
   at com.sun.tools.javac.comp.Annotate.unblockAnnotations(Annotate.java:130)
Comment 1 abien 2015-12-02 11:08:53 UTC
Created attachment 157612 [details]
stacktrace
Comment 2 abien 2015-12-07 10:25:10 UTC
Created attachment 157693 [details]
stacktrace

In a workshop :-)
Comment 3 Exceptions Reporter 2015-12-08 10:22:15 UTC
Created attachment 157716 [details]
stacktrace

editing file
Comment 5 Quality Engineering 2015-12-10 02:20:23 UTC
Integrated into 'main-silver', will be available in build *201512100002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/d0aaae02bdcc
User: Dusan Balek <dbalek@netbeans.org>
Log: Issue #256921 - AssertionError at com.sun.tools.javac.util.Assert.error - fixed.